## microcom 2009.6

=== Makefile ===
#/******************************************************************
#** File: Makefile
#** Description: the makefile for microcom project
#**
#** Copyright (C)1999 Anca and Lucian Jurubita <ljurubita@hotmail.com>.
#** All rights reserved.
#****************************************************************************
#** This program is free software; you can redistribute it and/or
#** modify it under the terms of the GNU General Public License
#** as published by the Free Software Foundation; either version 2
#** of the License, or (at your option) any later version.
#**
#** This program is distributed in the hope that it will be useful,
#** but WITHOUT ANY WARRANTY; without even the implied warranty of
#** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#** GNU General Public License for more details at www.gnu.org
#****************************************************************************
#** Rev. 0.9 - Sept. 1999
#** Rev. 0.91 - Jan. 2000 - minor fixes, compiled under Mandrake 6.0
#****************************************************************************/

CFLAGS		+= -Wall -O2 -g
CPPFLAGS	+= -DPKG_VERSION="\"2009.06\""

microcom: microcom.o mux.o help.o serial.o telnet.o

mux.o: mux.c microcom.h

microcom.o: microcom.c microcom.h

help.o: help.c microcom.h

serial.o: serial.c microcom.h

telnet.o: telnet.c microcom.h

clean:
	rm -f *.o microcom

## microcom 2012.06.0

=== Makefile ===
--- 
+++ 
@@ -20,19 +20,27 @@
 #****************************************************************************/
 
 CFLAGS		+= -Wall -O2 -g
-CPPFLAGS	+= -DPKG_VERSION="\"2009.06\""
+LDFLAGS		+= -lreadline -lpthread
+CPPFLAGS	+= -DPKG_VERSION="\"2012.06.0\"" -DPF_CAN=29 -DAF_CAN=PF_CAN
 
-microcom: microcom.o mux.o help.o serial.o telnet.o
+
+microcom: microcom.o mux.o serial.o telnet.o can.o commands.o parser.o commands_fsl_imx.o
 
 mux.o: mux.c microcom.h
 
 microcom.o: microcom.c microcom.h
 
-help.o: help.c microcom.h
-
 serial.o: serial.c microcom.h
 
 telnet.o: telnet.c microcom.h
 
+can.o: can.c microcom.h
+
+commands.o: telnet.o microcom.h
+
+parser.o: parser.c microcom.h
+
+commands_fsl_imx.o: commands_fsl_imx.c microcom.h
+
 clean:
 	rm -f *.o microcom

## microcom 2014.02.0

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 #****************************************************************************/
 
 CFLAGS		+= -Wall -O2 -g
-LDFLAGS		+= -lreadline -lpthread
-CPPFLAGS	+= -DPKG_VERSION="\"2012.06.0\"" -DPF_CAN=29 -DAF_CAN=PF_CAN
+LDLIBS		+= -lreadline -lpthread
+CPPFLAGS	+= -DPKG_VERSION="\"2014.02.0\"" -DPF_CAN=29 -DAF_CAN=PF_CAN
 
 
 microcom: microcom.o mux.o serial.o telnet.o can.o commands.o parser.o commands_fsl_imx.o

=== debian/changelog ===
microcom (2014.02.0-1) unstable; urgency=low

  * Adopt package (Closes: #726551) - Thanks Alex!
  * Standards-Version: 3.9.5 (no changes needed)
  * New upstream release
    + Fix order of parameters to ld (Closes: #678303)
    + Add manpage (Closes: #698436)
    + Fix newline handling (Closes: #706931)
  * Modernisation of packaging
    + Use source format 3.0 (quilt)
    + Simplify debian/rules using dh 7
    + Add debian/watch file
    + Convert to machine-readable copyright format 1.0
    + Add Vcs-Git URLs

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Sun, 23 Feb 2014 11:14:39 +0100

microcom (2012.06.0-3) unstable; urgency=low

  * Orphan package
  * Bump standards to 3.9.4 (no changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 30 Oct 2013 01:05:37 +0100

microcom (2012.06.0-2) unstable; urgency=low

  * Make the package arch: linux-any, as the new upsteam release only
    supports Linux so far: CAN support seems to be only available on
    Linux and can currently not be disabled at compile time.
    (Closes: #677641)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 15 Jun 2012 21:20:06 +0200

microcom (2012.06.0-1) unstable; urgency=low

  [ The "Oh god, it is bein used" release ]
  * New upstream release
  * Really fix upstream URL

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 14 Jun 2012 15:06:47 +0200

microcom (2012.02.20-1) unstable; urgency=low

  * New upstream release
    + Add libreadline6-dev to Build-Depends
    + Add new option to manpage
  * Fix upstream URL in debian/control (Closes: #631604)
  * Bump Standards Version to 3.9.3 (no changes necessary)
  * Build with hardening buildflags
    + Add dpkg-dev (>= 1.16.1~) to Build-Depends
  * Fix typo in manpage found by lintian

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 14 Jun 2012 10:35:08 +0200

microcom (2009.6-1) unstable; urgency=low

  * Initial release (Closes: #532975)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sat, 13 Jun 2009 13:45:04 +0200

=== debian/control ===
Source: microcom
Section: comm
Priority: extra
Maintainer: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Build-Depends: debhelper (>= 9), libreadline6-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Homepage: http://git.pengutronix.de/?p=tools/microcom.git
Vcs-Browser: http://git.pengutronix.de/?p=tools/microcom.git
Vcs-Git: git://git.pengutronix.de/git/tools/microcom.git -b debian/sid

Package: microcom
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalistic terminal program
 microcom is a minimalistic terminal program for accessing devices (e.g.
 switches) via a serial connection.  It features connection via RS232
 serial interfaces (including setting of transferrates) as well as in
 "telnet mode" as specified in rfc2217.

## microcom 2014.09.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 CFLAGS		+= -Wall -O2 -g
 LDLIBS		+= -lreadline -lpthread
-CPPFLAGS	+= -DPKG_VERSION="\"2014.02.0\"" -DPF_CAN=29 -DAF_CAN=PF_CAN
+CPPFLAGS	+= -DPKG_VERSION="\"2014.09.0\"" -DPF_CAN=29 -DAF_CAN=PF_CAN
 
 
 microcom: microcom.o mux.o serial.o telnet.o can.o commands.o parser.o commands_fsl_imx.o

=== debian/changelog ===
microcom (2014.09.0-1) unstable; urgency=medium

  * New upstream release
    + Add IPv6 support to RFC2217 mode
  * Standards-Version: 3.9.6 (no changes needed)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Mon, 22 Sep 2014 17:28:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
 Build-Depends: debhelper (>= 9), libreadline6-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://git.pengutronix.de/?p=tools/microcom.git
 Vcs-Browser: http://git.pengutronix.de/?p=tools/microcom.git
 Vcs-Git: git://git.pengutronix.de/git/tools/microcom.git -b debian/sid

## microcom 2016.01.0

=== debian/changelog ===
microcom (2016.01.0-1) unstable; urgency=medium

  * New upstream release
    + uses autotools now and autodetects can which allows to build for "any"
      instead of "linux-any"
    + LFS fixes
  * switch maintainer entry to debian.org address

 -- Uwe Kleine-König <ukleinek@debian.org>  Sat, 09 Jan 2016 21:52:20 +0100

=== debian/control ===
Source: microcom
Section: comm
Priority: extra
Maintainer: Uwe Kleine-König <ukleinek@debian.org>
Build-Depends: debhelper (>= 9), libreadline6-dev, autoconf, automake
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.6
Homepage: http://git.pengutronix.de/?p=tools/microcom.git
Vcs-Browser: http://git.pengutronix.de/?p=tools/microcom.git
Vcs-Git: git://git.pengutronix.de/git/tools/microcom.git -b debian/sid

Package: microcom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalistic terminal program
 microcom is a minimalistic terminal program for accessing devices (e.g.
 switches) via a serial connection.  It features connection via RS232
 serial interfaces (including setting of transferrates) as well as in
 "telnet mode" as specified in rfc2217.

=== debian/rules ===
#!/usr/bin/make -f

build: build-arch build-indep
install: build
binary-arch binary-indep: install
binary: binary-arch binary-indep

build-arch build-indep build install binary-arch binary-indep binary clean:
	dh $@

# Create orig.tar.gz as upstream only provides tags in git.
# This target doesn't comply to Debian policy because it cannot currently be
# called from any directory. Also it should determine $upstreamversion
# automatically. Patches welcome.
#get-orig-source:
#	git archive --format=tar --prefix=microcom-$upstreamversion.orig/ $upstreamtag | gzip -n --best > microcom_$upstreamversion.orig.tar.gz

.PHONY: build-arch build-indep build install binary-arch binary-indep binary clean get-orig-source

=== debian/watch ===
# upstream doesn't provide tarballs, only tags in git.
# Note that the .tar.gz that uscan downloads here isn't used as orig.tar.gz
# because the prefix argument given to git-archive by gitweb makes the v from
# the tag leak into the tarred directory name. See debian/rules'
# get-orig-source target instead.
version=3

opts=downloadurlmangle=s/a=shortlog/a=snapshot/,filenamemangle=s/.*h=refs\/tags\/v(.*)/microcom-$1.tar.gz/ http://git.pengutronix.de/?p=tools/microcom.git;a=tags /\?p=tools/microcom.git;a=shortlog;h=refs/tags/v(20[0-9.]*)

## microcom 2017.03.0

=== debian/changelog ===
microcom (2017.03.0-2build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:51:58 +0000

microcom (2017.03.0-2) unstable; urgency=medium

  * Simplify debian/watch
    There are now provides signatures for the compressed archive which allows
    to use pgpmode=auto.

 -- Uwe Kleine-König <ukleinek@debian.org>  Thu, 08 Mar 2018 10:34:47 +0100

microcom (2017.03.0-1) unstable; urgency=medium

  * Update debian/watch to find new upstream releases.
  * New upstream release
  * Update VCS-* to provide confidentiality.
  * Standards-Version: 4.1.3

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 07 Mar 2018 09:31:19 +0100

=== debian/rules ===
#!/usr/bin/make -f

build: build-arch build-indep
install: build
binary-arch binary-indep: install
binary: binary-arch binary-indep

build-arch build-indep build install binary-arch binary-indep binary clean:
	dh $@

.PHONY: build-arch build-indep build install binary-arch binary-indep binary clean get-orig-source

## microcom 2019.01.0

=== debian/changelog ===
microcom (2019.01.0-2) unstable; urgency=medium

  * Update VCS URLs as the old ones are about to die.

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 15 Apr 2020 17:45:52 +0200

microcom (2019.01.0-1) unstable; urgency=medium

  * New upstream release
  * Add "Rules-Requires-Root: no"
  * Standards-Version: 4.5.0 (no changes needed)
  * Enable hardening to get bindnow

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 14 Apr 2020 16:50:20 +0200

=== debian/control ===
Source: microcom
Section: comm
Priority: optional
Maintainer: Uwe Kleine-König <ukleinek@debian.org>
Build-Depends: debhelper-compat (= 12), libreadline6-dev, autoconf, automake
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ukleinek/microcom
Vcs-Git: https://salsa.debian.org/ukleinek/microcom.git -b sid
Rules-Requires-Root: no

Package: microcom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalistic terminal program
 microcom is a minimalistic terminal program for accessing devices (e.g.
 switches) via a serial connection.  It features connection via RS232
 serial interfaces (including setting of transferrates) as well as in
 "telnet mode" as specified in rfc2217.

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://public.pengutronix.de/software/microcom/microcom-(.*)\.tar\.xz

## microcom 2023.09.0

=== debian/changelog ===
microcom (2023.09.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:45 +1100

microcom (2023.09.0-1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:52:08 +0100

microcom (2023.09.0-1) unstable; urgency=medium

  * New upstream release
  * Update upstream gpg key
  * Switch d/watch to monitor github, adapt source in d/copyright
  * Standards-Version: 4.6.2 (no changes needed)

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 20 Sep 2023 15:52:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: microcom
 Section: comm
 Priority: optional
-Maintainer: Uwe Kleine-König <ukleinek@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Build-Depends: debhelper-compat (= 12), libreadline6-dev, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ukleinek/microcom
 Vcs-Git: https://salsa.debian.org/ukleinek/microcom.git -b sid
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

build-arch build-indep build install binary-arch binary-indep binary clean:
	dh $@

.PHONY: build-arch build-indep build install binary-arch binary-indep binary clean get-orig-source

=== debian/watch ===
version=4

opts=\
searchmode=plain,\
pgpmode=auto \
 https://api.github.com/repos/pengutronix/@PACKAGE@/releases \
 https://github.com/pengutronix/@PACKAGE@/releases/download/v(?:\d[0-9.]*)/@PACKAGE@-(\d[0-9.]*(?:-rc\d*)?)@ARCHIVE_EXT@

## microcom 2025.11.0

=== debian/changelog ===
microcom (2025.11.0-1) unstable; urgency=medium

  * New upstream release
  * Drop upstream signing key, upstream stopped signing releases.
  * Bump Standards-Version (4.6.2 -> 4.7.2), no further changes needed.
  * Bump debhelper to version 13.

 -- Uwe Kleine-König <ukleinek@debian.org>  Thu, 11 Dec 2025 19:27:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: microcom
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Kleine-König <ukleinek@debian.org>
-Build-Depends: debhelper-compat (= 12), libreadline6-dev, autoconf, automake
+Maintainer: Uwe Kleine-König <ukleinek@debian.org>
+Build-Depends: debhelper-compat (= 13), libreadline6-dev, autoconf, automake
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/ukleinek/microcom
 Vcs-Git: https://salsa.debian.org/ukleinek/microcom.git -b sid
 Rules-Requires-Root: no

=== debian/watch ===
version=4

opts=\
searchmode=plain \
 https://api.github.com/repos/pengutronix/@PACKAGE@/releases \
 https://github.com/pengutronix/@PACKAGE@/releases/download/v(?:\d[0-9.]*)/@PACKAGE@-(\d[0-9.]*(?:-rc\d*)?)@ARCHIVE_EXT@
